Skip to content

Devices with tag​

GET
/users/{id}/getDevicesByTag

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Type
string
Required
Format
"JSON"

Query Parameters

tag*

Tag to search for in fully qualified key:value format. Example device_type:truck. Partial searches with wildcards may be used, eg device_type:% or device_type:veh_%

Type
string
Required
fields

Optional array of device model fields to return. eg ["id","name"]

Type
string
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags:
  - name: device
paths:
  /users/{id}/getDevicesByTag:
    get:
      tags:
        - device
      summary: Devices with tag
      parameters:
        - name: id
          in: path
          description: user id
          required: true
          schema:
            type: string
            format: JSON
        - name: tag
          in: query
          description: Tag to search for in fully qualified key:value format. Example device_type:truck. Partial searches with wildcards may be used, eg device_type:% or device_type:veh_%
          required: true
          schema:
            type: string
        - name: fields
          in: query
          description: Optional array of device model fields to return. eg ["id","name"]
          required: false
          schema:
            type: string
            format: JSON
      responses:
'200':
yaml
          description: Request was successful
          content:
            application/json:
              schema:
                description: Returns Array of device objects
                type: array
                items:
                  properties: {}
                  type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-users-id-getDevicesByTag
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...